{ lib, ... }:
with lib;
{
  options.nas-apps.your_spotify = {
    enable = mkEnableOption "your_spotify docker service";

    autoStart = mkOption {
      type = types.bool;
      default = true;
    };

    portServer = mkOption {
      type = types.str;
      default = "7777";
    };

    portWeb = mkOption {
      type = types.str;
      default = "7778";
    };

    name = mkOption {
      type = types.str;
      default = "your_spotify";
    };

    imageServer = mkOption {
      type = types.str;
      default = "yooooomi/your_spotify_server";
    };

    imageWeb = mkOption {
      type = types.str;
      default = "yooooomi/your_spotify_client";
    };

    configPath = mkOption {
      type = types.str;
      default = "/media/nas/main/nix-app-data/your_spotify";
    };

    puid = mkOption {
      type = types.str;
      default = "911";
    };

    pgid = mkOption {
      type = types.str;
      default = "1000";
    };

    timeZone = mkOption {
      type = types.str;
      default = "America/Chicago";
    };
  };
}
